Bug 255575 - net/rsplib: Update to version 3.3.1
Summary: net/rsplib: Update to version 3.3.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-ports-bugs (Nobody)
URL: https://www.uni-due.de/~be0001/rserpool/
Keywords:
Depends on:
Blocks:
 
Reported: 2021-05-03 18:33 UTC by Thomas Dreibholz
Modified: 2021-05-05 08:47 UTC (History)
1 user (show)

See Also:


Attachments
The diff (3.77 KB, patch)
2021-05-03 18:33 UTC, Thomas Dreibholz
dreibh: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Dreibholz 2021-05-03 18:33:21 UTC
Created attachment 224638 [details]
The diff

The latest upstream version of rsplib is 3.3.1.
Therefore, the port net/rsplib needs an update.

Fix: The updated diff file rsplib-3.3.1.diff is attached.
Comment 1 Fernando Apesteguía freebsd_committer 2021-05-04 06:03:17 UTC
^Triage: Simplifying title

^Triage: Please set the maintainer-approval attachment flag (to +) on patches for ports you maintain to signify approval.
--
Attachment -> Details -> maintainer-approval [+]

Thanks!
Comment 2 Fernando Apesteguía freebsd_committer 2021-05-04 06:37:00 UTC
FATAL: Makefile: [23]: use a tab (not space) after a variable name

No need to upload a new diff, just remember to run portlint to catch things like these :-)
Comment 3 Fernando Apesteguía freebsd_committer 2021-05-05 08:46:53 UTC
Committed,

Thanks!
Comment 4 commit-hook freebsd_committer 2021-05-05 08:47:17 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=f71e8d541b9c35a2e3f1cb7c883193459fc0d24a

commit f71e8d541b9c35a2e3f1cb7c883193459fc0d24a
Author:     Fernando Apesteguía <fernape@FreeBSD.org>
AuthorDate: 2021-05-04 06:33:50 +0000
Commit:     Fernando Apesteguía <fernape@FreeBSD.org>
CommitDate: 2021-05-05 08:42:38 +0000

    net/rsplib: Update to version 3.3.1

    ChangeLog: https://www.uni-due.de/~be0001/rserpool/

    PR:     255575
    Reported by:    dreibh@iem.uni-due.de (maintainer)

 net/rsplib/Makefile  |  4 +++-
 net/rsplib/distinfo  |  6 +++---
 net/rsplib/pkg-plist | 33 +++++++++++++++++----------------
 3 files changed, 23 insertions(+), 20 deletions(-)